// Copyright (C) 2006 Erik Dahlberg
// 
// This file is part of LSystem3D.
// 
// LSystem3D is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// LSystem3D is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with LSystem3D; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA




#include "color.h"



/**
 * Constructor
 * @param r red component
 * @param g green component
 * @param b blue component
 */
Color::Color(double r, double g, double b)
{
    setRGB(r, g, b);
}



/**
 * Destructor
 */
Color::~Color()
{
}



/**
 * Set color
 * @param r red component
 * @param g green component
 * @param b blue component
 */
void Color::setRGB(double r, double g, double b)
{
    _r = r;
    _g = g;
    _b = b;
}



/**
 * Get red component
 * @return the red component
 */
double Color::getR()
{
    return _r;
}



/**
 * Get green component
 * @return the green component
 */
double Color::getG()
{
    return _g;
}



/**
 * Get blue component
 * @return the blue component
 */
double Color::getB()
{
    return _b;
}
